package com.cim.idm.wmspackage.materialundo.info;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialUnDoinfo {
	
	private String siteName;
	private String materialPackingName;
	

	private String materialPackingType;
	private String contentMaterialType;
	private String materialType;
	private String materialSpecName;
	private String superMaterialPackingName;
	private String packingGrade;
	
	private int subPackingQuantity;
	private double materialCreateQuantity;
	private double materialQuantity;
	private String packingState;
	private String oldPackingState;
	
	private String stockState;
	private String oldStockState;
	private String holdState;
	private String areaName;
	private String locationName;
	private String durableName;
	private String materialProcessGroupName;
	
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	
	private Timestamp createTime;
	private String createUser;
	
	private String receiveRequestName;
	private String receiveRequestDetailName;
	private Timestamp makeDate;
	
	private String receiveActNo;
	private Timestamp receiveTime;
	private String receiveUser;
	
	private String shipRequestName;
	private String shipRequestDetailName;
	private Timestamp shipTime;
	private String shipUser;

	private String reasonCodeType;
	private String reasonCode;
	private String oqaResult;
	private String oqaResultState;
	
	@UserColumnMark
	private String erpLocation;
	private String erpFactory;
	
	@UserColumnMark
	private String etcState;
	
	@UserColumnMark
	private String stockInType;
	
	private String charge;
	
	private String supplierName;
	private String unDoID;
	private String preUnDoId;
	private String unDoDetailName;
	private String seq;
	private String unDoIdDate;
	private Timestamp erpEventTime;
	private String oqaname;
	
	private String MSGTY;
	private String MESSAGE;
	
	

	public String getMSGTY() {
		return MSGTY;
	}

	public void setMSGTY(String string) {
		MSGTY = string;
	}

	public String getMESSAGE() {
		return MESSAGE;
	}

	public void setMESSAGE(String mESSAGE) {
		MESSAGE = mESSAGE;
	}
	

	

	public String getSiteName() {
		return siteName;
	}

	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}

	public String getMaterialPackingName() {
		return materialPackingName;
	}

	public void setMaterialPackingName(String materialPackingName) {
		this.materialPackingName = materialPackingName;
	}
	public String getCharge() {
		return charge;
	}

	public void setCharge(String charge) {
		this.charge = charge;
	}

	public String getSupplierName() {
		return supplierName;
	}

	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}


//	public String getPackingGroupType() {
//		return packingGroupType;
//	}
//
//	public void setPackingGroupType(String packingGroupType) {
//		this.packingGroupType = packingGroupType;
//	}

//	public String getPackingGroupGrade() {
//		return packingGroupGrade;
//	}
//
//	public void setPackingGroupGrade(String packingGroupGrade) {
//		this.packingGroupGrade = packingGroupGrade;
//	}

//	public String getPackingGroupState() {
//		return packingGroupState;
//	}
//
//	public void setPackingGroupState(String packingGroupState) {
//		this.packingGroupState = packingGroupState;
//	}

	public String getMaterialType() {
		return materialType;
	}

	public void setMaterialType(String materialType) {
		this.materialType = materialType;
	}

//	public String getSuperPackingGroupName() {
//		return superPackingGroupName;
//	}
//
//	public void setSuperPackingGroupName(String superPackingGroupName) {
//		this.superPackingGroupName = superPackingGroupName;
//	}

	public String getMaterialSpecName() {
		return materialSpecName;
	}

	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}
	
//	public String getMaterialBatchNo() {
//		return materialBatchNo;
//	}
//
//	public void setMaterialBatchNo(String materialBatchNo) {
//		this.materialBatchNo = materialBatchNo;
//	}

//	public int getSubPackingGroupQuantity() {
//		return subPackingGroupQuantity;
//	}
//
//	public void setSubPackingGroupQuantity(int subPackingGroupQuantity) {
//		this.subPackingGroupQuantity = subPackingGroupQuantity;
//	}

	public double getMaterialQuantity() {
		return materialQuantity;
	}

	public void setMaterialQuantity(double materialQuantity) {
		this.materialQuantity = materialQuantity;
	}

//	public String getOldPackingGroupState() {
//		return oldPackingGroupState;
//	}
//
//	public void setOldPackingGroupState(String oldPackingGroupState) {
//		this.oldPackingGroupState = oldPackingGroupState;
//	}

	public String getStockState() {
		return stockState;
	}

	public void setStockState(String stockState) {
		this.stockState = stockState;
	}

	public String getOldStockState() {
		return oldStockState;
	}

	public void setOldStockState(String oldStockState) {
		this.oldStockState = oldStockState;
	}

	public String getHoldState() {
		return holdState;
	}

	public void setHoldState(String holdState) {
		this.holdState = holdState;
	}

	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public String getLocationName() {
		return locationName;
	}

	public void setLocationName(String locationName) {
		this.locationName = locationName;
	}

//	public String getReceiveNo() {
//		return receiveNo;
//	}
//
//	public void setReceiveNo(String receiveNo) {
//		this.receiveNo = receiveNo;
//	}
//
//	public String getReceiveDetailNo() {
//		return receiveDetailNo;
//	}
//
//	public void setReceiveDetailNo(String receiveDetailNo) {
//		this.receiveDetailNo = receiveDetailNo;
//	}
//
//	public String getReceiveBatchNo() {
//		return receiveBatchNo;
//	}
//
//	public void setReceiveBatchNo(String receiveBatchNo) {
//		this.receiveBatchNo = receiveBatchNo;
//	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

//	public Timestamp getStockinTime() {
//		return stockinTime;
//	}
//
//	public void setStockinTime(Timestamp stockinTime) {
//		this.stockinTime = stockinTime;
//	}
//
//	public String getStockinUser() {
//		return stockinUser;
//	}
//
//	public void setStockinUser(String stockinUser) {
//		this.stockinUser = stockinUser;
//	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}

	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}

	public String getMaterialPackingType() {
		return materialPackingType;
	}

	public void setMaterialPackingType(String materialPackingType) {
		this.materialPackingType = materialPackingType;
	}

	public String getContentMaterialType() {
		return contentMaterialType;
	}

	public void setContentMaterialType(String contentMaterialType) {
		this.contentMaterialType = contentMaterialType;
	}

	public String getSuperMaterialPackingName() {
		return superMaterialPackingName;
	}

	public void setSuperMaterialPackingName(String superMaterialPackingName) {
		this.superMaterialPackingName = superMaterialPackingName;
	}

	public String getPackingGrade() {
		return packingGrade;
	}

	public void setPackingGrade(String packingGrade) {
		this.packingGrade = packingGrade;
	}

	public int getSubPackingQuantity() {
		return subPackingQuantity;
	}

	public void setSubPackingQuantity(int subPackingQuantity) {
		this.subPackingQuantity = subPackingQuantity;
	}

	public double getMaterialCreateQuantity() {
		return materialCreateQuantity;
	}

	public void setMaterialCreateQuantity(int materialCreateQuantity) {
		this.materialCreateQuantity = materialCreateQuantity;
	}

	public String getPackingState() {
		return packingState;
	}

	public void setPackingState(String packingState) {
		this.packingState = packingState;
	}

	public String getOldPackingState() {
		return oldPackingState;
	}

	public void setOldPackingState(String oldPackingState) {
		this.oldPackingState = oldPackingState;
	}

	public String getDurableName() {
		return durableName;
	}

	public void setDurableName(String durableName) {
		this.durableName = durableName;
	}

	public String getMaterialProcessGroupName() {
		return materialProcessGroupName;
	}

	public void setMaterialProcessGroupName(String materialProcessGroupName) {
		this.materialProcessGroupName = materialProcessGroupName;
	}

	public String getReceiveRequestName() {
		return receiveRequestName;
	}

	public void setReceiveRequestName(String receiveRequestName) {
		this.receiveRequestName = receiveRequestName;
	}

	public String getReceiveRequestDetailName() {
		return receiveRequestDetailName;
	}

	public void setReceiveRequestDetailName(String receiveRequestDetailName) {
		this.receiveRequestDetailName = receiveRequestDetailName;
	}

	public Timestamp getMakeDate() {
		return makeDate;
	}

	public void setMakeDate(Timestamp makeDate) {
		this.makeDate = makeDate;
	}

	public String getReceiveActNo() {
		return receiveActNo;
	}

	public void setReceiveActNo(String receiveActNo) {
		this.receiveActNo = receiveActNo;
	}

	public Timestamp getReceiveTime() {
		return receiveTime;
	}

	public void setReceiveTime(Timestamp receiveTime) {
		this.receiveTime = receiveTime;
	}

	public String getReceiveUser() {
		return receiveUser;
	}

	public void setReceiveUser(String receiveUser) {
		this.receiveUser = receiveUser;
	}

	public String getShipRequestName() {
		return shipRequestName;
	}

	public void setShipRequestName(String shipRequestName) {
		this.shipRequestName = shipRequestName;
	}

	public String getShipRequestDetailName() {
		return shipRequestDetailName;
	}

	public void setShipRequestDetailName(String shipRequestDetailName) {
		this.shipRequestDetailName = shipRequestDetailName;
	}

	public Timestamp getShipTime() {
		return shipTime;
	}

	public void setShipTime(Timestamp shipTime) {
		this.shipTime = shipTime;
	}

	public String getShipUser() {
		return shipUser;
	}

	public void setShipUser(String shipUser) {
		this.shipUser = shipUser;
	}
	
	public String getErpLocation() {
		return erpLocation;
	}

	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}
	public String getErpFactory() {
		return erpFactory;
	}

	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}

	public String getEtcState() {
		return etcState;
	}

	public void setEtcState(String etcState) {
		this.etcState = etcState;
	}
	
	public String getStockInType() {
		return stockInType;
	}

	public void setStockInType(String stockInType) {
		this.stockInType = stockInType;
	}

	public String getOqaResult() {
		return oqaResult;
	}

	public void setOqaResult(String oqaResult) {
		this.oqaResult = oqaResult;
	}

	public String getOqaResultState() {
		return oqaResultState;
	}

	public void setOqaResultState(String oqaResultState) {
		this.oqaResultState = oqaResultState;
	}
	public String getUnDoID() {
		return unDoID;
	}

	public void setUnDoID(String unDoID) {
		this.unDoID = unDoID;
	}
	public String getPreUnDoId() {
		return preUnDoId;
	}

	public void setPreUnDoId(String preUnDoId) {
		this.preUnDoId = preUnDoId;
	}

	public String getUnDoDetailName() {
		return unDoDetailName;
	}

	public void setUnDoDetailName(String unDoDetailName) {
		this.unDoDetailName = unDoDetailName;
	}
	public String getSeq() {
		return seq;
	}

	public void setSeq(String seq) {
		this.seq = seq;
	}
	public String getUnDoIdDate() {
		return unDoIdDate;
	}

	public void setUnDoIdDate(String unDoIdDate) {
		this.unDoIdDate = unDoIdDate;
	}

	public Timestamp getErpEventTime() {
		return erpEventTime;
	}

	public void setErpEventTime(Timestamp erpEventTime) {
		this.erpEventTime = erpEventTime;
	}

	public String getOqaname() {
		return oqaname;
	}

	public void setOqaname(String oqaname) {
		this.oqaname = oqaname;
	}


}
